import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { CustomerTemplatesResolver } from './resolvers/customer-template.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const customerTemplateRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      customerTemplates: CustomerTemplatesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
