import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { NoticesResolver } from './resolvers/notice.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const noticeRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      notices: NoticesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
