import { Route } from '@angular/router';

import { AllListComponent } from './components/all-list.component';
import { MainOfficeListComponent } from './components/main-office-list.component';
import { OfficeListComponent } from './components/office-list.component';
import { BranchListComponent } from './components/branch-list.component';
import { DivisionListComponent } from './components/division-list.component';
import { RecommendationListComponent } from './components/recommendation-list.component';
import { StoreListComponent } from './components/store-list.component';

import { PartnersResolver } from './resolvers/partner.resolver';

export const partnerRoutes: Route[] = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'all',
  },
  {
    path: 'all',
    component: AllListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'main-office',
    component: MainOfficeListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'branch',
    component: BranchListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'division',
    component: DivisionListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'recommendation',
    component: RecommendationListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'office',
    component: OfficeListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: 'store',
    component: StoreListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
];
