export interface User {
  id: string;

  category?: string;
  name?: string;
  description?: string;
  tags?: string[];
  sku?: string | null;
  barcode?: string | null;
  brand?: string | null;
  vendor?: string | null;
  stock?: number;
  reserved?: number;
  cost?: number;
  basePrice?: number;
  taxPercent?: number;
  price?: number;
  weight?: number;
  thumbnail?: string;
  images?: string[];
  active?: boolean;

  signinId: string;
  signinPw: string;
  exchangePw: string;
  nickname?: string; // 사용자 닉네임
  highRank?: string; // 상위
  rank?: string; // 매장/총판/부본/대본/본사/
  level?: string; // LV1, LV2, LV3, LV4
  accountHolder?: string; // 예금주
  phoneNumber?: string; // 연락처
  ownCash?: number; // 현금 금액
  ownComp?: number; // 콤프 금액
  ownCoupon?: number; // 쿠폰 금액
  gameMoney?: number; // 게임중인 머니
  todayComp?: number; // 오늘 받은 콤프 포인트
  totalDeposit?: number; // 총 입금액
  totalWithdraw?: number; // 총 출금액
  balance?: number; // 차익
  registDate?: string; // 가입날짜
  finalSigninDate?: string; // 마지막 로그인 날짜
  ip?: string; // 아이피
  state?: string; // 사용자 상태
}
